API ReferenceTask
Retrieves the collection of TaskChecklist resources
GET
Retrieves the collection of TaskChecklist resources
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringTask identifier
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30pagination?booleanEnable or disable pagination
TaskChecklist collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/tasks/string/task-checklists'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "weight": 0, "taskChecklistItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isChecked": true, "weight": 0 } ], "leader": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" } }]